from report.models import Steps, ReportPodbor

fix_data = {
	"Посторонние шумы отсутствуют": "Посторонние шумы",
	"Запотевание/течи отсутствуют": "Запотевание/течи",
	"Равномерность работы": "Работа ДВС",
	"Уровень масла в норме": "Уровень масла",
	"Уровень жидкости охлаждающей системы в номре": "Уровень жидкости охлаждающей системы",
	"Обслуживание не требуется": "Обслуживание ДВС",
	"Состояние приводных ремней в норме": "Состояние приводных ремней",
	"КПП работает исправно": "Работа КПП",
	"Остаток летней резины": "Остаток летних шин",
	"Остаток зимней резины": "Остаток зимних шин",
	"Уровень тормозной жидкости в норме": "Уровень тормозной жидкости",
	"Уровень жидкости ГУР в норме": "Уровень жидкости ГУР",
	"Состояние стояночного тормоза": "Стояночный тормоз",
	"Состояние резины": "Состояние шин",
	"Состояние тормозной жидкости": "Тормозная жидкость",
	"Посторонние стуки и скрипы отсутствуют": "Посторонние стуки и скрипы",
	"Люфты в рулевом управлении отсутствуют": "Люфты в рулевом управлении",
	"Связь с основным ЭБУ": "Связь со всеми блоками ЭБУ",
	"Ошибки в ЭБУ отсутствуют": "Ошибки в ЭБУ",
	"Исправность/ Наличие системы SRS": "Система SRS (подушки безопасности)",
	"Отсутствие дефектов": "Дефекты",
	"Люфты отсутствуют (шаровые, рулевые, наконечники, тяги, подшипники)": "Люфты (шаровые, рулевые наконечники, тяги, подшипники)",
	"Тормозная система (шланги, трубки, суппорта)": "Тормозная система (шланги, трубки, суппорта)",
	"Запотевания отсутствуют": "Запотевания",
	"Плавность включения передач": "deleted",
	"Vin код на кузове/раме №1 статус": "deleted",
	"Vin код на кузове/раме №2 статус": "deleted",
	"Vin код на кузове/раме №3 статус": "deleted",
	"Vin код на табличке статус": "deleted",
	"Vin код под лобовым стеклом статус": "deleted",
	"Фото MyCreditInfo статус": "deleted",
	"Фото с реестра залогов статус": "deleted",
	"Фото Автокод статус": "deleted",
	
	"Фото Автокод статус": "deleted",
}

class setJson:
	def __init__(self, ids):
		if len(ids) == 1:
			self.id = ids[0]
			print(self.id)
			try:
				self.renameField()
			except (IndexError, ReportPodbor.DoesNotExist) as ex:
				print(ex)
		if len(ids) == 2:
			for i in range(int(ids[0]), int(ids[1])):
				self.id = i
				try:
					self.renameField()
				except (IndexError, ReportPodbor.DoesNotExist) as ex:
					print(ex)


	def renameField(self):
		stacks = ReportPodbor.objects.get(pk=self.id)
		for steps in stacks.data:
			if 'groups' in steps:
				for group in steps['groups']:
					for field in group['fields']:
						try:
							print(field['label'])
							field['label'] = fix_data[field['label']]
							print(field['label'])
							if field['label'] == "deleted":
								del stacks.data[stacks.data.index(steps)]['groups'][0]['fields'][group['fields'].index(field)]
						except KeyError as ex:
							pass	
		stacks.save()